import { Platform, EmuState, EmuControlsState, EmuRecorder } from "./baseplatform";
declare type FrameRec = {
    controls: EmuControlsState;
    seed: number;
};
export declare class StateRecorderImpl implements EmuRecorder {
    checkpointInterval: number;
    callbackStateChanged: () => void;
    callbackNewCheckpoint: (state: EmuState) => void;
    maxCheckpoints: number;
    platform: Platform;
    checkpoints: EmuState[];
    framerecs: FrameRec[];
    frameCount: number;
    lastSeekFrame: number;
    constructor(platform: Platform);
    reset(): void;
    frameRequested(): boolean;
    numFrames(): number;
    currentFrame(): number;
    recordFrame(state: EmuState): void;
    getStateAtOrBefore(frame: number): {
        frame: number;
        state: EmuState;
    };
    loadFrame(seekframe: number): number;
    loadControls(frame: number): void;
    getLastCheckpoint(): EmuState;
}
import { Probeable, ProbeAll } from "./devices";
export declare enum ProbeFlags {
    CLOCKS = 0,
    EXECUTE = 16777216,
    MEM_READ = 33554432,
    MEM_WRITE = 50331648,
    IO_READ = 67108864,
    IO_WRITE = 83886080,
    VRAM_READ = 100663296,
    VRAM_WRITE = 117440512,
    INTERRUPT = 134217728,
    ILLEGAL = 150994944,
    SP_PUSH = 167772160,
    SP_POP = 184549376,
    SCANLINE = 2113929216,
    FRAME = 2130706432
}
export declare class ProbeRecorder implements ProbeAll {
    buf: Uint32Array;
    idx: number;
    fclk: number;
    sl: number;
    cur_sp: number;
    m: Probeable;
    singleFrame: boolean;
    constructor(m: Probeable);
    start(): void;
    stop(): void;
    reset(): void;
    log(a: number): void;
    relog(a: number): void;
    lastOp(): number;
    lastAddr(): number;
    logClocks(clocks: number): void;
    logNewScanline(): void;
    logNewFrame(): void;
    logExecute(address: number, SP: number): void;
    logInterrupt(type: number): void;
    logRead(address: number, value: number): void;
    logWrite(address: number, value: number): void;
    logIORead(address: number, value: number): void;
    logIOWrite(address: number, value: number): void;
    logVRAMRead(address: number, value: number): void;
    logVRAMWrite(address: number, value: number): void;
    logIllegal(address: number): void;
}
export {};
