"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var emu_1 = require("../common/emu");
// TODO: scripts run in global context
var NotebookItem = /** @class */ (function () {
    function NotebookItem() {
    }
    NotebookItem.prototype.setData = function (data) {
        this.obj = data;
        this.el = $("<div>");
        this.el.text(JSON.stringify(data, null, ' '));
        return true;
    };
    NotebookItem.prototype.delete = function () {
        this.wrap && this.wrap.remove();
        this.wrap = null;
    };
    return NotebookItem;
}());
var Notebook = /** @class */ (function () {
    function Notebook(top) {
        this.items = {};
        this.top = top;
        $(top).css('overflowY', 'auto');
    }
    Notebook.prototype.update = function (obj) {
        var _this = this;
        var last = null;
        var unused = new Set(Object.keys(this.items));
        for (var _i = 0, _a = Object.entries(obj); _i < _a.length; _i++) {
            var entry = _a[_i];
            var id = entry[0];
            var data = entry[1];
            var item = this.items[id];
            //console.log(id,data,item);
            if (!item) {
                this.items[id] = item = new NotebookItem();
            }
            if (item.setData(data)) {
                if (!item.wrap) {
                    item.wrap = $('<div class="markdown">');
                    $(this.top).append(item.wrap);
                }
                item.wrap.empty().append(item.el);
            }
            unused.delete(id);
        }
        unused.forEach(function (id) { _this.items[id].delete(); });
    };
    return Notebook;
}());
var ScriptPlatform = /** @class */ (function () {
    function ScriptPlatform(mainElement) {
        this.mainElement = mainElement;
        this.notebook = new Notebook(mainElement);
    }
    ScriptPlatform.prototype.start = function () {
    };
    ScriptPlatform.prototype.reset = function () {
    };
    ScriptPlatform.prototype.pause = function () {
    };
    ScriptPlatform.prototype.resume = function () {
    };
    ScriptPlatform.prototype.loadROM = function (title, data) {
        this.notebook.update(data);
    };
    ScriptPlatform.prototype.isRunning = function () {
        return false;
    };
    ScriptPlatform.prototype.isDebugging = function () {
        return false;
    };
    ScriptPlatform.prototype.getToolForFilename = function (fn) {
        return "js";
    };
    ScriptPlatform.prototype.getDefaultExtension = function () {
        return ".js";
    };
    ScriptPlatform.prototype.getPresets = function () {
        return [
            { id: 'hello.js', name: 'Hello' },
        ];
    };
    return ScriptPlatform;
}());
emu_1.PLATFORMS['script'] = ScriptPlatform;
//# sourceMappingURL=script.js.map